#include <math.h>
#include "Complesso.h"
#include <iostream>

using namespace std;

// Costruttore senza parametri
Complesso::Complesso(){
    re = 0;
    im = 0;
}

Complesso::Complesso(float r, float i){
    re = r;
    im = i;
}

// Costruttore con un parametro (parte immaginaria sarà inizializzata a zero
Complesso::Complesso(float r){
    re = r;
    im = 0;
}

	// Operatore di somma
Complesso Complesso::operator+(Complesso x){
    Complesso temp;
    temp.re = re + x.re;
    temp.im = re + x.im;
    return temp;
}

	// Operatore di assegnazione solo per la parte reale
Complesso Complesso::operator=(float x){
    re = x;
    im = 0;
    return *this;
}

                // Calcola il modulo
float Complesso::modulo(){
    return sqrt(re * re + im * im);
}
        // Calcola la fase
float Complesso::fase(){
    return atan(im / re);

}


void Complesso::setReale(float r){
    re = r;
}

void Complesso::setImmaginario(float i){
    im = i;
}

void Complesso::stampa(){
    cout << "Re: " << re << ", Im: " << im << endl;
}

void Complesso::inserisci(){
    cin >> re >> im;
}
