// 
// File:   Complesso.h
// Author: root
//
// Created on 31 gennaio 2008, 8.44
//

#ifndef _COMPLESSO_H
#define	_COMPLESSO_H

class Complesso{
	float re;
	float im;
public:
	// Costruttore senza parametri
	Complesso();
	// Costruttore con due parametri
	Complesso(float re, float im);
	// Costruttore con un parametro (parte immaginaria sarà inizializzata a zero
	Complesso(float re);
	// Operatore di somma
	Complesso operator+(Complesso x);
	// Operatore di assegnazione solo per la parte reale
	Complesso operator=(float x);
        // Calcola il modulo
        float modulo();
        // Calcola la fase
        float fase();
        
        void setReale(float r);
        
        void setImmaginario(float i);
        
        void stampa();
        
        void inserisci();
};

#endif	/* _COMPLESSO_H */

